import React, {Component} from 'react';
import { View, TouchableOpacity, Image } from 'react-native';
import JitsiManager from '../lib/JitsiManager';
import { connect } from 'react-redux';
import data from '../actions';
import Logger from 'react-native-cometchat-calling-component/lib/Logger';

const TAG = 'AudioButton';
export default class AudioButton extends Component{
    constructor(props){
        super(props);
        this.onMuteAudio = this.onMuteAudio.bind(this);
        this.onUnMuteAudio = this.onUnMuteAudio.bind(this);
    }

    onMuteAudio(){
        this.props.changeAudioState(true);
        this.props.onMuteAudio();
    }

    onUnMuteAudio(){
        this.props.changeAudioState(false);
        this.props.onUnMuteAudio();
    }

    renderAudioMuteIcon(){
        return <TouchableOpacity onPress={()=>this.props.onAudioMute()}><Image style={this.style.lt_control_icon} source={require('../icons/icon_audio_mute.png')}/></TouchableOpacity>;
    }

    renderAudioUnMuteIcon(){
        return <TouchableOpacity onPress={()=>this.props.onAudioMute()}><Image style={this.style.lt_control_icon} source={require('../icons/icon_audio_unmute.png')}/></TouchableOpacity>;
    }

    render(){
        Logger.log(TAG,"isAudioMuted ? ",this.props.audioMute)
        return(
            <View style={this.style.lt_control_view}>
                { this.props.audioMute ? this.renderAudioMuteIcon() : this.renderAudioUnMuteIcon() }
            </View>
        )
    }

    style = {
        lt_control_icon: { width: 25, height: 25 },
        lt_control_view: { width: 55, height: 55, margin: 1, backgroundColor: '#4d4c4f', borderRadius: 50, alignItems: 'center', justifyContent:'center' }
    };
}