import React, { Component } from "react";
import MainVideoComponent from "./MainVideo";
import Logger from "../lib/Logger";
import { isScreenSharingTrack , isMob} from "../lib/utils";
import { View} from 'react-native';
import {RTCView} from 'react-native-webrtc';
const TAG = "MainVideoContainerComponent";
export default class MainVideoContainerComponent extends Component {
  getNicknameTag() {
    // Gets the nickName of the user
    return JSON.parse(this.props.streamManager.stream.connection.data)
      .clientData;
  }

  componentDidMount() {
    Logger.log(TAG, "Video Track value = ", this.props.videoTrack);
  }

  shouldComponentUpdate(nextProps, nextState) {
    if (this.props.videoTrack !== nextProps.videoTrack) {
      return true;
    }
    return false;
  }

  render() {
    return (
      <View>
        {this.props.videoTrack !== undefined ? (
          <View>
            <View>
            <RTCView
                objectFit = { 'cover' }
                streamURL = { this.props.videoTrack.getOriginalStream().toURL() }
                style={{ height: "100%", width: "100%"}}
                zOrder = { 1 } />;
            </View>
          </View>
        ) : null}
      </View>
    );
  }
}
