import React, {Component} from 'react';
import { View, TouchableOpacity, Image } from 'react-native';
import JitsiManager from '../lib/JitsiManager';
import { connect } from 'react-redux';
import Logger from '../lib/Logger';

export default class SwitchCameraButton extends Component{
    constructor(props){
        super(props);
    }

    onSwitchCamera(){
        Logger.log("Switch Camera called");
        this.props.onSwitchCamera();
    }

    renderSwitchCameraIcon(){
        return <TouchableOpacity onPress={()=>this.onSwitchCamera()}><Image style={this.style.lt_control_icon} source={require('../icons/icon_switch_camera.png')}/></TouchableOpacity>;
    }

    render(){
        return(

            <TouchableOpacity onPress={()=>this.onSwitchCamera()}>
                <View style={this.style.lt_control_view}>
                    <Image style={this.style.lt_control_icon} source={require('../icons/icon_switch_camera.png')}/>
                </View>
            </TouchableOpacity>
        )
    }

    style = {
        lt_control_icon: { width: 25, height: 25 },
        lt_control_view: { width: 55, height: 55, margin: 1, backgroundColor: '#4d4c4f', borderRadius: 50, alignItems: 'center', justifyContent:'center' }
    };
}