import React, {Component} from 'react';
import { View, TextInput, Button } from 'react-native';
import { connect } from 'react-redux';
import data from '../actions';

class WelcomeScreen extends Component{
    
    constructor(props){
        super(props);
        this.state = {
            ready: false,
            text: "",
        }
    }

    onReadyStateChange(){
        this.props.changeRoomName(this.state.text);
        this.props.changeReadyState(!this.state.ready);
    }

    render(){
        return(
            <View style={{ flex: 1 }}>
                <TextInput
                    style={{ height: 40, width: '90%', margin: '5%', borderBottomColor: 'gray', borderWidth: 1 }}
                    onChangeText={(text) => this.setState({text: text})}
                    placeholder="Enter a Conference Name"
                    value={this.state.text}
                />
                <Button 
                    title="Connect To Conference"
                    onPress={()=>this.onReadyStateChange()}
                    style={{ height: 20, width: '90%', margin: '5%', padding: 10 }}
                />
            </View>
        )
    }

}

  
function mapDispatchToProps (dispatch) {
    return {
        changeReadyState: (ready) => dispatch(data.changeReadyState(ready)),
        changeRoomName: (room) => dispatch(data.changeRoomName(room)),
    }
}

export default connect(null,mapDispatchToProps)(WelcomeScreen);